Subject: Excessive temproots size when running guix build

From: Christopher Baines <[email-masked]>
Date: Fri, 03 Sep 2021 10:53:52 +0100

I spotted a problem with data.guix.gnu.org trying to process this old
revision [1]

1: https://data.guix.gnu.org/revision/75dabac633bb9a33efbebf859f8aa4bb3b9582b2

The machine ran out of disk space, as a ~30GiB file had been created in
/var/guix/temproots.

I think I can reproduce the situation by running this command.

  guix time-machine --commit=75dabac633bb9a33efbebf859f8aa4bb3b9582b2 -- build --system=armhf-linux guix

It's the build of the guix package that seems to be involved.

For some reason though, I can't reproduce this on my local machine, I
get a build failure for [2].

2: /gnu/store/cz4sr5whzf3qhp8c47bzlfzcxxwl485i-python2-2.7.15.drv

Any ideas? Is there a known issue (perhaps with grafts) for old
revisions of Guix which could lead to excessive temproots file sizes in
some situations?